<<< Previous |  | Next >>>

# FcMatrixRotate

## Name

FcMatrixRotate -- Rotate a matrix

## Synopsis

    #include <fontconfig/fontconfig.h>

``void `FcMatrixRotate``(FcMatrix *`matrix`, double `cos`, double `sin`);`

## Description

`FcMatrixRotate` rotates `matrix` by the angle who's sine is `sin` and cosine is `cos`. This is done by multiplying by the matrix:

      cos -sin
      sin  cos

## Version

Fontconfig version 2.10.95

<<< Previous | Home | Next >>>
FcMatrixMultiply | Up | FcMatrixScale